Bug 616250 - Review Request: geronimo-ejb - Java EE: EJB API v3.1
Review Request: geronimo-ejb - Java EE: EJB API v3.1
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On: 615809 615812 617941 617943 618268
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 18:24 EDT by Spike
Modified: 2010-08-05 17:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 17:45:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Spike 2010-07-19 18:24:08 EDT
Spec URL: http://spike.fedorapeople.org/geronimo-ejb-3.0-api/geronimo-ejb-3.0-api.spec
SRPM URL: http://spike.fedorapeople.org/geronimo-ejb-3.0-api/geronimo-ejb-3.0-api-1.0.1-1.fc14.src.rpm
Description: Contains the Enterprise JavaBeans classes and interfaces that define the contracts between the enterprise bean and its clients and between the 
enterprise bean and the EJB container.
Comment 1 Spike 2010-07-25 02:59:49 EDT
Changed package name to "geronimo-ejb" and updated to version 3.1. New
spec and SRPM:

http://spike.fedorapeople.org/geronimo-ejb/geronimo-ejb.spec
http://spike.fedorapeople.org/geronimo-ejb/geronimo-ejb-1.0-1.fc14.src.rpm
Comment 2 Stanislav Ochotnicky 2010-08-03 05:21:53 EDT
NEEDSWORK: rpmlint must be run on every package. The output should be posted in the review.
geronimo-ejb.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/geronimo-ejb-1.0/LICENSE
geronimo-ejb.noarch: W: non-conffile-in-etc /etc/maven/fragments/geronimo-ejb
geronimo-ejb-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/geronimo-ejb-javadoc-1.0/LICENSE
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

Fixings those EOLs shouldn't be too much trouble I guess...

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: All independent sub-packages have License of their own (if it exists)
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: All filenames in rpm packages must be valid UTF-8.

Note that it would probably be better to add another depmap to
interceptor instead of relying on a custom depmap. Other packages might
want to use geronimo-interceptor and they would have to define their
own custom depmap too so let's try to prevent that.


Under condition that you fix those license EOLs, package is APPROVED.
Comment 3 Spike 2010-08-04 08:00:56 EDT
(In reply to comment #2)
> NEEDSWORK: rpmlint must be run on every package. The output should be posted in
> the review.
> geronimo-ejb.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/geronimo-ejb-1.0/LICENSE
> geronimo-ejb.noarch: W: non-conffile-in-etc /etc/maven/fragments/geronimo-ejb
> geronimo-ejb-javadoc.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/geronimo-ejb-javadoc-1.0/LICENSE
> 3 packages and 0 specfiles checked; 0 errors, 3 warnings.
> 
> Fixings those EOLs shouldn't be too much trouble I guess...

Fixed.

> Note that it would probably be better to add another depmap to
> interceptor instead of relying on a custom depmap. Other packages might
> want to use geronimo-interceptor and they would have to define their
> own custom depmap too so let's try to prevent that.

Ok, removed the custom depmap. An updated geronimo-interceptor: http://koji.fedoraproject.org/koji/taskinfo?taskID=2379062

I also added the mapping for previous ejb spec releases 2.1 and 3.0 (latest version in each case, but that shouldn't matter)

New spec and SRPM:
http://spike.fedorapeople.org/geronimo-ejb/geronimo-ejb.spec
http://spike.fedorapeople.org/geronimo-ejb/geronimo-ejb-1.0-2.fc15.src.rpm
Comment 4 Spike 2010-08-04 08:08:50 EDT
New Package CVS Request
=======================
Package Name: geronimo-ejb
Short Description:  Java EE: EJB API v3.1
Owners: spike
Branches: F-14
InitialCC:
Comment 5 Kevin Fenzi 2010-08-05 13:03:39 EDT
Git done (by process-git-requests).
Comment 6 Spike 2010-08-05 17:45:34 EDT
Package built, closing.

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=2383484

Note You need to log in before you can comment on or make changes to this bug.